# H225_H245Security Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_noSecurity, e_tls, e_ipsec }

## Public Member Functions

| H225_H245Security (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
| operator H225_SecurityCapabilities & ()
| operator const H225_SecurityCapabilities & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_H245Security::Choices

Enumerator:

  e_nonStandard |
  e_noSecurity |
  e_tls |
  e_ipsec |

## Constructor & Destructor Documentation

H225_H245Security::H225_H245Security | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_H245Security::operator H225_NonStandardParameter & | ( |  | ) |

H225_H245Security::operator const H225_NonStandardParameter & | ( |  | ) | const

H225_H245Security::operator H225_SecurityCapabilities & | ( |  | ) |

H225_H245Security::operator const H225_SecurityCapabilities & | ( |  | ) | const

PBoolean H225_H245Security::CreateObject | ( |  | ) |

PObject* H225_H245Security::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h